## texi2html 1.64

=== Tests/GermanNodeTest/Makefile ===
T2H = ../../texi2html.pl

nodetest.html: $(T2H) nodetest.texi
	$(T2H) -lang de -v nodetest.texi

## texi2html 1.78-1

=== debian/changelog ===
texi2html (1.78-1) unstable; urgency=low

  * Maemo port

 -- Colin Leroy <colin@colino.net>  Sat, 20 Dec 2008 15:39:51 +0100

texi2html (1.76-4) unstable; urgency=low

  * New maintainer (Closes: #360947)
  * [debian/rules] Updated 
  * [debian/copyright] Updated

 -- Francesco Cecconi <francesco.cecconi@gmail.com>  Sun,  9 Apr 2006 01:47:59 +0200

texi2html (1.76-3) unstable; urgency=low

  * New maintainer, many thanks to Nigel Jones for his great work
    (Closes: #327441)
  * Not using cdbs anymore, as I personally don't like it
  * debian/changelog: remove cruft at the end
  * debian/control:
    + add Homepage to long description
    + move debhelper from Build-Depends-Indep to Build-Depends
    + add B-D-I on autotools-dev
    + drop Replaces: tetex-bin (<< 1.0.7), even oldstable has a newer
      version these days
  * debian/copyright:
    + list new upstream homepage
    + list past and present maintainer(s)
    + include AUTHORS file, dropping it from the deb
    + fix typo
  * debian/texi2html.docs:
    + renamed to debian/docs
    + include TODO
  * debian/rules: complete redo, taking care so some cruft doesn't enter
    the diff.gz
  * debian/watch: added

 -- Florian Ernst <florian@debian.org>  Thu, 22 Sep 2005 00:32:58 +0200

texi2html (1.76-2) unstable; urgency=low

  * Closes: #318536: Chokes on gnugo.texi
  * Closes: #317863: Loops forever processing bbdb.texinfo
  * Closes: #321586: Includes non-free images - Fixed by dual GPL/CC agreement
  * New maintainer. (Closes: #314843: ITA: texi2html -- Convert Texinfo
    files to HTML)
  * Closes: #326048: gnugo: FTBFS: Undefined
    subroutine &amp;main::normalize_space called at /usr/bin/texi2html
    line 13756. (Caused by texi2html)

 -- Nigel Jones <nigelj@gmail.com>  Sun,  4 Sep 2005 22:37:39 +1200

texi2html (1.76-1) unstable; urgency=low

  * QA Group upload
  * debian/control:
    - Maintainer set to QA Group
    - Standards-Version set to 3.6.2
  * New upstream (Closes: #242637)
  * Acknowledge NMUs (Closes: #238881, #219991, #93348, #220609)
  * debian/rules: upstream path to html has changed 

 -- Luk Claes <luk@debian.org>  Wed,  6 Jul 2005 21:25:20 +0200

texi2html (1.66-1.2) unstable; urgency=low

  * NMU
  * _Really_ suggest latex2html.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Mar 2004 15:20:43 +0100

texi2html (1.66-1.1) unstable; urgency=low

  * NMU (Permitted by maintainer.)
  * If recompiled on sid with /usr/sbin in $PATH the package would
    contain /usr/share/info/dir.gz (Closes: #219991)
  * Suggest latex2html because texi2html can make use of it.
    (Closes: #220609)
  * Needs at least debhelper 4 to build. Fix Build-Depends.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Mar 2004 14:50:38 +0100

texi2html (1.66-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.  (Closes: #201381)
  * debian/copyright: Changed upstream location.  The original upstream
    maintainer, Oliver Bachmann, has gone missing.  Derek Price has
    taken over the package upstream.
  * debian/rules: Use cdbs.  (Closes: #95543)
  * debian/control: Added build dependency on cdbs.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 19 Jul 2003 14:29:22 +0200

texi2html (1.64-cvs20010402-2) unstable; urgency=low

  * Fix -glossary bug (closes: #93348).
  * Documentation tidyups, based on Michael Ernst's patch against 1.64.

 -- Peter Moulder <pjm@bofh.asn.au>  Thu, 19 Apr 2001 23:54:09 +1000

texi2html (1.64-cvs20010402-0.1) unstable; urgency=low

  * New upstream version (closes: #68555).
  * Build-Depends: texinfo (closes: #87669).
  * Bump Standards-Version to 3.5.2 (no changes).
  * Only warn rather than aborting if upstream version number greater
    than debian version number.  (Upstream configure.in already says
    1.65, but AFAICT 1.65 isn't released yet.)

 -- Peter Moulder <pjm@bofh.asn.au>  Tue,  3 Apr 2001 00:56:45 +1000

texi2html (1.64-0.1) unstable; urgency=low

  * New upstream version (closes #65897, #66662).
  * Add version info to `Replaces: tetex-bin'.

 -- Peter Moulder <pjm@bofh.asn.au>  Thu,  6 Jul 2000 22:44:51 +1000

texi2html (1.62.1-1) unstable; urgency=low

  * Initial release to Debian.
  * Sponsored upload for Peter Moulder <pjm@bofh.asn.au>.
    + changed version number to -1 :)
    + removed p* scripts, dh_* will generate them properly from scratch,
      if needed
    + moved binary-arch contents under binary-indep because it's an
      Arch: all package.
    + updated for policy 3.1.1 (Build-Depends: debhelper).

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 26 Apr 2000 15:59:12 +0200

texi2html (1.62.1-0.1) unstable; urgency=low

  * New upstream version.

 -- Peter Moulder <pjm@bofh.asn.au>  Thu, 13 Apr 2000 13:15:48 +1000

texi2html (1.61.1-0.1) unstable; urgency=low

  * New upstream version.  (Documentation changes.)

 -- Peter Moulder <pjm@bofh.asn.au>  Sat,  8 Apr 2000 14:07:44 +1000

texi2html (1.61-0.1) unstable; urgency=low

  * New upstream version.  Includes extra documentation.

 -- Peter Moulder <pjm@bofh.asn.au>  Sat,  1 Apr 2000 19:12:40 +1000

texi2html (1.59.2-0.1) unstable; urgency=low

  * Initial packaging of the 1.60 series of texi2html.

 -- Peter Moulder <reiter@netspace.net.au>  Mon, 27 Dec 1999 12:57:58 +1100

=== debian/control ===
Source: texi2html
Section: text
Priority: optional
Maintainer: Francesco Cecconi <francesco.cecconi@gmail.com>
Build-Depends: debhelper (>= 4.1.0)
Build-Depends-Indep: autotools-dev, texinfo
Standards-Version: 3.7.2

Package: texi2html
Architecture: all
Depends: ${perl:Depends}
Suggests: latex2html
Description: Convert Texinfo files to HTML
 texi2html is a Perl script that converts Texinfo files to HTML.
 .
 The program takes Texinfo files (not info ones) and produces a set of
 HTML files.  The quality of the output is close to the printed output
 and is much better than an info->HTML gateway.
 .
 Compared to the output of `makeinfo --html', texi2html's output is
 more customizable and (subjectively) produces better output by default.
 .
 Homepage: http://www.nongnu.org/texi2html/

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	ln -sf /usr/share/misc/config.sub config.sub
	ln -sf /usr/share/misc/config.guess config.guess
	CFLAGS="$(CFLAGS)" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)\
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc
	touch $@

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@ 

clean:
	dh_testdir
	dh_testroot
	if [ -e Makefile ]; then $(MAKE) -i distclean; fi
	dh_clean  build-stamp config.status config.sub config.guess \
	                  translations.pl translations.pl.old i18n/*.old

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	$(MAKE) install DESTDIR=$(CURDIR)/debian/texi2html
	install -d $(CURDIR)/debian/texi2html/usr/share/doc/texi2html
	mv -v   $(CURDIR)/debian/texi2html/usr/share/texinfo/html \
		$(CURDIR)/debian/texi2html/usr/share/doc/texi2html/
	rm $(CURDIR)/debian/texi2html/usr/share/texi2html/images/COPYING
	rm $(CURDIR)/debian/texi2html/usr/share/texi2html/images/README
	rm $(CURDIR)/debian/texi2html/usr/share/texi2html/images/GPL
	rm $(CURDIR)/debian/texi2html/usr/share/texi2html/images/COPYING.Attribution-ShareAlike


binary-arch: build install


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installinfo doc/texi2html.info
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://savannah.nongnu.org/download/texi2html/texi2html-(.*)\.tar\.gz

## texi2html 1.82+dfsg1

=== debian/changelog ===
texi2html (1.82+dfsg1-7) unstable; urgency=medium

  * Adopt package as lilypond 2.24.0 still uses texi2html-1.82 explicitly
    (Closes: #698081)
  * Add Vcs-Browser and Vcs-Git fields for upload to Salsa
  * Add debian/gbp.conf and set debian-branch to "debian/sid"
  * Update debian/watch to version 4, add debian/upstream/signing-key.asc
    (with two separate keys found in 1.82 and 5.0 respectively),
    use new HTTPS download URL, and lock to version 1.*
    so we do not inadvertently upgrade to text2html-5.0
  * Convert debian/copyright to machine-readable format and more:
    - Add Files-Excluded list
    - Add docs/* under the Latex2e license with FSF exception on translation
  * Bump Standards-Version to 4.6.2 (no change)
  * Override Lintian error license-problem-gfdl-invariants
    as test/manuals/res/texi_mini_ker/mini_ker.passtexi is for testing only

 -- Anthony Fok <foka@debian.org>  Fri, 03 Feb 2023 01:46:28 -0700

texi2html (1.82+dfsg1-6) unstable; urgency=medium

  * QA upload.
  * debian/patches:
    - Do not embed the build user in html files (Closes: #961764).
  * debian/control:
    - Set Rules-Requres-Root to no.
    - Update to debhelper-compat 13.
    - Drop dh-autoreconf from Build-Depends.
    - Delete trailing whitespace.
    - Update Standards-Version to 4.5.0.
  * debian/changelog:
    - Remove trailing whitespace.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 15 Nov 2020 18:57:14 -0800

texi2html (1.82+dfsg1-5) unstable; urgency=medium

  * QA upload.
  * Use source format 3.0 (quilt).
    + Delete unneeded README.source.
    + Drop build-dep from quilt and dh_quilt_* in debian/rules.
  * Add patch to enable reproducible build:
    + 05_reproducible-build: set the PACKAGE_DATE ac variable to
      SOURCE_DATE_EPOCH if possible.  Closes: #783478
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Do proper autoretooling with dh-autoreconf.
    + Add build-dep on dh-autoreconf.
    + Fix patch 02_removed_test_manuals.diff to also change test/Makefile.am.
  * Bump debhelper compat version to 9.
    + Tight the build-dep on debhelper to >= 9
  * Use the dh sequencer.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 23 Dec 2015 17:58:17 +0000

texi2html (1.82+dfsg1-4) unstable; urgency=medium

  * QA upload.
  * Make texi2html produce reproducible output (Closes: #783475):
     - Add patch: 03_add_build-date_param.patch to honour $SOURCE_DATE_EPOCH and
       command line option --build-date
     - Add patch: 04_sort-perl-hash to sort hash values

 -- akira <marivalenm@gmail.com>  Sat, 08 Aug 2015 09:04:44 +0200

texi2html (1.82+dfsg1-3) unstable; urgency=low

  * QA upload.
  * Add dependency on libtext-unidecode-perl (Closes: #709906)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 29 May 2013 06:00:47 +0200

texi2html (1.82+dfsg1-2) unstable; urgency=low

  [ Colin Watson ]
  * QA upload.
  * Add build-indep and build-arch targets to debian/rules.
  * Adjust debian/watch to remove the +dfsg* part from the upstream version
    number when comparing with upstream.

  [ Steve Langasek ]
  * Mark texi2html Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 May 2013 14:48:34 +0100

texi2html (1.82+dfsg1-1) unstable; urgency=high

  * QA upload.
  * Change maintainer to QA Group
  * Repackage to remove GFDL documentation in tests/ directory
    which is not DFSG compatible (Closes: #698073)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 19 Jan 2013 20:29:51 +0100

texi2html (1.82-1) unstable; urgency=low

  * New upstream release (Closes: #534127)
  * Closes: #451654: include a doc-base registration file
  * updated Standard Version to 3.8.3
  * [debian/control]: new Homepage field
  * [debian/control]: update debhelper to version 7
  * [debian/compat]: updated to level 7
  * [debian/rules]: Updated
  * [debian/copyright]: Updated
  * [debian/patches]: debian/patches/01_remove_doc_dir.diff
    added, patch fixes dir.gz

 -- Francesco Cecconi <francesco.cecconi@gmail.com>  Wed, 21 Oct 2009 10:05:15 +0200

=== debian/control ===
Source: texi2html
Section: text
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               texinfo
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/text2html
Vcs-Git: https://salsa.debian.org/debian/text2html.git
Homepage: http://www.nongnu.org/texi2html

Package: texi2html
Architecture: all
Multi-Arch: foreign
Depends: libtext-unidecode-perl,
         ${misc:Depends},
         ${perl:Depends}
Suggests: latex2html
Description: Convert Texinfo files to HTML
 texi2html is a Perl script that converts Texinfo files to HTML.
 .
 The program takes Texinfo files (not info ones) and produces a set of
 HTML files.  The quality of the output is close to the printed output
 and is much better than an info->HTML gateway.
 .
 Compared to the output of `makeinfo --html', texi2html's output is
 more customizable and (subjectively) produces better output by default.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
p := texi2html

%:
	dh $@ --with autoreconf


override_dh_auto_install:
	dh_auto_install
	dh_installdirs usr/share/doc/texi2html
	mv -v $(CURDIR)/debian/$p/usr/share/texinfo/html \
	      $(CURDIR)/debian/$p/usr/share/doc/$p/
	rm $(CURDIR)/debian/$p/usr/share/$p/images/COPYING
	rm $(CURDIR)/debian/$p/usr/share/$p/images/README
	rm $(CURDIR)/debian/$p/usr/share/$p/images/GPL
	rm $(CURDIR)/debian/$p/usr/share/$p/images/COPYING.Attribution-ShareAlike
	rm -rfv $(CURDIR)/debian/$p/usr/share/texinfo/

override_dh_auto_test:
	# looks like tests never actually run anyway...

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d+$//, pgpsigurlmangle=s%$%.sig%" \
    https://download.savannah.gnu.org/releases/@PACKAGE@/@PACKAGE@[-_]?(1[\-+\.:\~\da-zA-Z]*)\.tar\.gz
